org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.impl

## Class CertificateEnrollmentPolicyServiceImpl

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.impl.CertificateEnrollmentPolicyServiceImpl

- All Implemented Interfaces:
    CertificateEnrollmentPolicyService

      @Addressing(enabled=true,
                  required=true)
      @BindingType(value="http://www.w3.org/2003/05/soap/bindings/HTTP/")
      public class CertificateEnrollmentPolicyServiceImpl
      extends Object
      implements CertificateEnrollmentPolicyService

  Implementation class for CertificateEnrollmentPolicyService.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertificateEnrollmentPolicyServiceImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `getPolicies(Client client, RequestFilter requestFilter, Holder<Response> response, Holder<CACollection> caCollection, Holder<OIDCollection> oidCollection)` This method implements the MS-XCEP protocol for certificate enrollment policy service.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CertificateEnrollmentPolicyServiceImpl

          public CertificateEnrollmentPolicyServiceImpl()

  - ### Method Detail

    - #### getPolicies

          public void getPolicies(Client client,
                         RequestFilter requestFilter,
                         Holder<Response> response,
                         Holder<CACollection> caCollection,
                         Holder<OIDCollection> oidCollection)

      This method implements the MS-XCEP protocol for certificate enrollment policy service.
      Specified by:
        `getPolicies` in interface `CertificateEnrollmentPolicyService`
      Parameters:
        `client` - - Included lastUpdate and preferredLanguage tags
        `requestFilter` - - Policy constrain tag
        `response` - - Response which includes minimal key length, hash algorithm, policy schema, policy OID reference
        `caCollection` - - Contains the issuers for the certificate enrollment policies
        `oidCollection` - - Contains the collection of OIDs for the response

Copyright © 2017 WSO2. All rights reserved.